// Request parameters
$api_key = "PCW45-12345-12345-1234X";
$sort_code = "100000";
$account_number = "31510604";

// Prepare request and encode user-entered parameters with %xx encoding
$request_url = "https://ws.postcoder.com/pcw/$api_key/bank";

$data = array("sortcode" => $sort_code, "accountnumber" => $account_number);

$context = stream_context_create([
  "http" => [
    "header"  => "Content-type: application/x-www-form-urlencoded\r\n",
    "method"  => "POST",
    "content" => http_build_query($data),
    "ignore_errors" => true
  ]
]);

// Send request
$result = file_get_contents($request_url, false, $context);

// Process response
$status_line = $http_response_header[0];
preg_match("{HTTP\/\S*\s(\d{3})}", $status_line, $match);
$status_code = $match[1];

if ($status_code == 200) {
    $json = json_decode($result);
    echo("$json->valid<br>$json->bankname<br>$json->branchname");
} else {
    echo("Request error");
}